#include <bits/stdc++.h>
using namespace std;
long long brp[2000050];
int main()
{
    ios_base::sync_with_stdio(false);
    long long n, i, x, k;
    cin >> n >> k;
    for(i = 0; i < n; i++)
    {
        cin >> x;
        brp[x + 1000000]++;
    }
    x = 0;
    for(i = 0; i < 2000020; i++) if(brp[i] >= k) x++;
    cout << x << endl;
    for(i = 0; i < 2000020; i++) if(brp[i] >= k) cout << i - 1000000 << " ";
    return 0;
}